apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.appName }}-deployment
  labels:
    app: {{ .Values.appName }}
spec:
  replicas: "{{ .Values.replicas }}"
  selector:
    matchLabels:
      app: {{ .Values.appName }}
  template:
    metadata:
      labels:
        app: {{ .Values.appName }}
    spec:
      containers:
      - name: {{ .Values.containerName }}
        image: {{ .Values.image }}
        envFrom:
        - configMapRef:
            name: {{ .Values.appName }}-configmap
        ports:
        - containerPort: {{ .Values.port }}
        volumeMounts:
        - name: {{ .Values.volumeName }}
          mountPath: /var/lib/sharelatex
      volumes:
      - name: {{ .Values.volumeName }}
        persistentVolumeClaim:
          claimName: {{ .Values.persistentVolumeClaim }}
      {{- if .Values.mongoEnabled }}
      - name: mongo
        image: mongo:4.4
        volumeMounts:
        - name: mongo-data
          mountPath: /data/db
      volumes:
      - name: mongo-data
        persistentVolumeClaim:
          claimName: mongo-data
      {{- end }}
      {{- if .Values.redisEnabled }}
      - name: redis
        image: redis:5
        volumeMounts:
        - name: redis-data
          mountPath: /data
      volumes:
      - name: redis-data
        persistentVolumeClaim:
          claimName: redis-data
      {{- end }}

